Subject: mumi: mu-debug is unbound in mu-message-send

From: Maxime Devos <[email-masked]>
Date: Wed, 30 Jun 2021 17:09:59 +0200

Hi guix,

Here is a backtrace from mumi.log.zst and mumi.mailer.log.zst.
This lead to a 500.

---- mumi.log.zst
ERROR: In procedure mu-message-send:
In procedure module-lookup: Unbound variable: mu-debug
processing
  job: mail:162506283631699
  options: ((from . "Maxime Devos") (subject . "[PATCH] isc-dhcp: Fix dhclient-script wrapper when cross-compiling.") (to . "[email-masked]") (text . "I forgot to note that I don't have an
aarch64-linux-gnu system to test this on. But I did verify the interpreter had the right architecture."))
Backtrace:
           3 (primitive-load "/gnu/store/j80xdprnwwcslyq8gnj34jmymid…")
In mumi/jobs.scm:
   147:19  2 (worker-loop _)
   114:18  1 (process-next #<procedure 7efc2c1e1c80 at mumi/jobs.scm…>)
In unknown file:
           0 (mu-message-send #<message "issues.guix.gnu.org@elephl…> …)
---- mumi.mailer.log.zst
ERROR: In procedure mu-message-send:
In procedure module-lookup: Unbound variable: mu-debug
processing
  job: mail:162506283631699
  options: ((from . "Maxime Devos") (subject . "[PATCH] isc-dhcp: Fix dhclient-script wrapper when cross-compiling.") (to . "[email-masked]") (text . "I forgot to note that I don't have an
aarch64-linux-gnu system to test this on. But I did verify the interpreter had the right architecture."))
Backtrace:
           3 (primitive-load "/gnu/store/j80xdprnwwcslyq8gnj34jmymid…")
In mumi/jobs.scm:
   147:19  2 (worker-loop _)
   114:18  1 (process-next #<procedure 7efc2c1e1c80 at mumi/jobs.scm…>)
In unknown file:
           0 (mu-message-send #<message "issues.guix.gnu.org@elephl…> …)

Greetings,
Maxime.